org.apache.poi.hwmf.record

## Class HwmfMisc

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfMisc

-     public class HwmfMisc
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HwmfMisc.WmfCreateBrushIndirect` The META_CREATEBRUSHINDIRECT record creates a Brush Object from a LogBrush Object.
    `static class` | `HwmfMisc.WmfCreatePatternBrush`
    `static class` | `HwmfMisc.WmfCreatePenIndirect`
    `static class` | `HwmfMisc.WmfDeleteObject` The META_DELETEOBJECT record deletes an object, including Bitmap16, Brush, DeviceIndependentBitmap, Font, Palette, Pen, and Region.
    `static class` | `HwmfMisc.WmfDibCreatePatternBrush` The META_DIBCREATEPATTERNBRUSH record creates a Brush Object with a pattern specified by a DeviceIndependentBitmap (DIB) Object
    `static class` | `HwmfMisc.WmfRestoreDc` The META_RESTOREDC record restores the playback device context from a previously saved device context.
    `static class` | `HwmfMisc.WmfSaveDc` The META_SAVEDC record saves the playback device context for later retrieval.
    `static class` | `HwmfMisc.WmfSetBkColor` The META_SETBKCOLOR record sets the background color in the playback device context to a specified color, or to the nearest physical color if the device cannot represent the specified color.
    `static class` | `HwmfMisc.WmfSetBkMode` The META_SETBKMODE record defines the background raster operation mix mode in the playback device context.
    `static class` | `HwmfMisc.WmfSetLayout` The META_SETLAYOUT record defines the layout orientation in the playback device context.
    `static class` | `HwmfMisc.WmfSetMapMode` The META_SETMAPMODE record defines the mapping mode in the playback device context.
    `static class` | `HwmfMisc.WmfSetMapperFlags` The META_SETMAPPERFLAGS record defines the algorithm that the font mapper uses when it maps logical fonts to physical fonts.
    `static class` | `HwmfMisc.WmfSetRelabs` The META_SETRELABS record is reserved and not supported.
    `static class` | `HwmfMisc.WmfSetRop2` The META_SETROP2 record defines the foreground raster operation mix mode in the playback device context.
    `static class` | `HwmfMisc.WmfSetStretchBltMode` The META_SETSTRETCHBLTMODE record defines the bitmap stretching mode in the playback device context.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HwmfMisc()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HwmfMisc

          public HwmfMisc()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.